# setReproducibleFileOrder

open fun setReproducibleFileOrder(reproducibleFileOrder: Boolean)

Specifies whether to enforce a reproducible file order when reading files from directories.

Gradle will then walk the directories on disk which are part of this archive in a reproducible order independent of file systems and operating systems. This helps Gradle reliably produce byte-for-byte reproducible archives.

#### Since

3.4

#### Parameters

reproducibleFileOrder

`true` if the files should read from disk in a reproducible order.